[mythtv-users] ttvdb

mythtv mythtv at mdabbs.org
Thu Sep 16 17:12:13 UTC 2021


I'm having trouble with ttvdb.py.  This is the message I'm getting:

The modules tvdb_api.py (v2.0 or greater).
They should have been installed along with the MythTV python bindings.
Error:(module 'requests_cache' has no attribute 'core')

I build from source and run on Gentoo.

I'm on python 3.9. Here's my list of installed packages:

Package            Version
------------------ -----------
acme               1.18.0
appdirs            1.4.4
attrs              21.2.0
cattrs             1.8.0
certbot            1.18.0
certbot-apache     1.18.0
certifi            10001
cffi               1.14.6
chardet            4.0.0
charset-normalizer 2.0.4
ConfigArgParse     1.5.2
configobj          5.0.6
cryptography       3.4.7
Cython             0.29.23
deprecation        2.1.0
distro             1.6.0
docutils           0.17.1
eyeD3              0.9.6
filetype           1.0.7
future             0.18.2
futures            3.1.1
gdbus_codegen      2.68.3
gemato             16.2
gentoolkit         0.5.1.post1
idna               3.2
itsdangerous       2.0.1
Jinja2             3.0.1
josepy             1.8.0
layman             2.4.3
lxml               4.6.3
Mako               1.1.4
MarkupSafe         2.0.1
meson              0.58.2
mysqlclient        1.4.6
MythTV             31.0.-1
packaging          21.0
parsedatetime      2.6
pip                21.2.4
ply                3.11
portage            3.0.20
pycparser          2.20
Pygments           2.9.0
pyOpenSSL          20.0.1
pyparsing          2.4.7
pyproject2setuppy  20
pyRFC3339          1.1
PySocks            1.7.1
python-augeas      1.1.0
pytz               2021.1
requests           2.26.0
requests-cache     0.8.1
requests-toolbelt  0.9.1
SCons              4.1.0
setuptools         57.4.0
setuptools-scm     6.0.1
simplejson         3.17.3
six                1.16.0
ssl-fetch          0.4
toml               0.10.2
tomli              1.0.4
tvdb-api           3.0.2
url-normalize      1.4.3
urllib3            1.26.6
zope.component     4.4.1
zope.event         4.5.0
zope.interface     5.4.0


More information about the mythtv-users mailing list